classification
Title: setup.py register fails with -r argument
Type: Stage: resolved
Components: Distutils, Distutils2 Versions: Python 3.2, Python 3.3, Python 3.4, Python 2.7, 3rd party
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alexis, berker.peksag, eric.araujo, tarek, techtonik
Priority: normal Keywords: patch

Created on 2011-12-16 21:21 by techtonik, last changed 2016-05-21 15:14 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
test_register.py.diff techtonik, 2012-11-13 16:56
test_register.py.diff techtonik, 2012-11-13 17:19
register.py.diff techtonik, 2012-11-13 17:19
Messages (12)
msg149637 - (view) Author: anatoly techtonik (techtonik) Date: 2011-12-16 21:21
$ python setup.py sdist register -r https://pypi.python.org/pypi upload
...

Creating tar archive
removing 'pager-0.2' (and everything under it)
running register
Traceback (most recent call last):
  File "setup.py", line 17, in <module>
    'Operating System :: OS Independent',
  File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
    dist.run_commands()
  File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.7/distutils/command/register.py", line 47, in run
    self._set_config()
  File "/usr/lib/python2.7/distutils/command/register.py", line 82, in _set_config
    raise ValueError('%s not found in .pypirc' % self.repository)
ValueError: https://pypi.python.org/pypi not found in .pypirc



---

$ python setup.py register -h
...
Options for 'register' command:
  --repository (-r)   url of repository [default: http://pypi.python.org/pypi]
...
usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
...
msg149638 - (view) Author: anatoly techtonik (techtonik) Date: 2011-12-16 21:21
Ubuntu 11.10
msg150200 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2011-12-24 01:29
Does it do the same with http instead of https?
msg150213 - (view) Author: anatoly techtonik (techtonik) Date: 2011-12-24 06:17
Can't test right now.
msg150735 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-01-06 16:27
Maybe related to (or same as) #11473.
msg174650 - (view) Author: anatoly techtonik (techtonik) Date: 2012-11-03 16:53
It is ok with http://pypi.python.org/pypi, but not with http://pypi.python.org, for example. Complaining that  http://pypi.python.org is not found in .pypirc
msg175506 - (view) Author: anatoly techtonik (techtonik) Date: 2012-11-13 16:56
Tested on Windows. Test is attached.
msg175508 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-11-13 17:06
Thanks, this helps.
msg175509 - (view) Author: anatoly techtonik (techtonik) Date: 2012-11-13 17:19
Better test case.
msg175510 - (view) Author: anatoly techtonik (techtonik) Date: 2012-11-13 17:19
Fix.
msg177741 - (view) Author: anatoly techtonik (techtonik) Date: 2012-12-19 13:15
Soo..
msg266005 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-05-21 15:14
The repository URL has been changed to https://pypi.python.org/pypi in 2b5cd6d4d149. I'm -1 on making https://pypi.python.org/ a special case.
History
Date User Action Args
2016-05-21 15:14:21berker.peksagsetstatus: open -> closed

nosy: + berker.peksag
messages: + msg266005

resolution: out of date
stage: needs patch -> resolved
2012-12-19 13:15:32techtoniksetmessages: + msg177741
2012-11-13 19:36:09terry.reedysetnosy: - terry.reedy
2012-11-13 17:19:31techtoniksetfiles: + register.py.diff

messages: + msg175510
2012-11-13 17:19:18techtoniksetfiles: + test_register.py.diff

messages: + msg175509
2012-11-13 17:06:48eric.araujosetstage: test needed -> needs patch
messages: + msg175508
versions: + Python 3.4
2012-11-13 16:56:52techtoniksetfiles: + test_register.py.diff
keywords: + patch
messages: + msg175506
2012-11-03 16:53:39techtoniksetmessages: + msg174650
2012-01-06 16:27:51eric.araujosetassignee: tarek -> eric.araujo

components: + Distutils2
title: `setup.py register` fails with -r argument -> setup.py register fails with -r argument
nosy: + alexis
versions: + 3rd party, Python 3.2, Python 3.3
messages: + msg150735
stage: test needed
2011-12-24 06:17:05techtoniksetmessages: + msg150213
2011-12-24 01:29:01terry.reedysetnosy: + terry.reedy
messages: + msg150200
2011-12-16 21:21:54techtoniksetmessages: + msg149638
2011-12-16 21:21:37techtonikcreate